{% extends "catalog/base_generic.html" %}

{% block content %}
    <h1>Title: {{ book.title }}</h1>

    <p><strong>Author:</strong>
        <a href="{% url 'author-detail' book.author.pk %}">{{ book.author }}</a>
    </p>
    <p><strong>Summary:</strong> {{ book.summary }}</p>
    <p><strong>ISBN:</strong> {{ book.isbn }}</p>
    <p><strong>Language:</strong> {{ book.language }}</p>
    <p><strong>Genre:</strong> {{ book.genre.all|join:", " }}</p>

    <div style="margin-left:20px;margin-top:20px">
        <h4>Copies</h4>

        {% for copy in book.bookinstance_set.all %}
            <hr>
            <p class="{% if copy.status == 'a' %}text-success{% elif copy.status == 'm' %}text-danger{% else %}text-warning{% endif %}">
                {{ copy.get_status_display }}
                {% if copy.status == 'l' and copy.borrower == user %} to you
                {% elif copy.status == 'l' and copy.reserver == user %} (you reserved it)
                {% elif copy.status == 'r' and copy.reserver == user %} by you
                {% endif %}
            </p>
            {% if perms.catalog.can_borrow_books %}
                {% if copy.status == 'a' %}
                    <a href="{% url 'borrow-book' copy.id %}">
                        <button class="btn btn-primary">Borrow</button>
                    </a>
                    <a href="{% url 'reserve-book' copy.id %}">
                        <button class="btn btn-primary">Reserve</button>
                    </a>
                {% elif copy.status == 'r' and copy.reserver == user%}
                    <a href="{% url 'borrow-book' copy.id %}">
                        <button class="btn btn-success">Borrow</button>
                    </a>
                    <button class="btn btn-outline-secondary" disabled>Reserve</button>
                {% elif copy.status == 'l' and not copy.borrower == user and not copy.is_reserved %}
                    <button class="btn btn-outline-secondary" disabled>Borrow</button>
                    <a href="{% url 'reserve-book' copy.id %}">
                        <button class="btn btn-primary">Reserve</button>
                    </a>
                {% else %}
                        <button class="btn btn-outline-secondary" disabled>Borrow</button>
                        <button class="btn btn-outline-secondary" disabled>Reserve</button>
                {% endif %}
                {% if copy.reserver == user %}
                    <a href="{% url 'cancel-res' copy.id %}">
                        <button class="btn btn-primary">Cancel Reservation</button>
                    </a>
                {% endif %}
            {% endif %}

            <br>
            {% if copy.due_back %}
                <p><strong>Due to be returned:</strong> {{ copy.due_back }}</p>
            {% endif %}
            <p><strong>Imprint:</strong> {{ copy.imprint }}</p>
            <p class="text-muted"><strong>Id:</strong> {{ copy.id }}</p>
        {% endfor %}
    </div>
{% endblock %}